## aws-sdk-cpp 0.0+p24.04+vunstable+git20260101.2216

=== debian/changelog ===
aws-sdk-cpp (0.0+p24.04+vunstable+git20260101.2216-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 22:19:05 +0000

aws-sdk-cpp (0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:47:38 +0000
