=== generated/src/aws-cpp-sdk-medical-imaging/CMakeLists.txt ===
add_project(aws-cpp-sdk-medical-imaging "C++ SDK for the AWS medical-imaging service" aws-cpp-sdk-core)

file(GLOB AWS_MEDICAL-IMAGING_HEADERS
    "include/aws/medical-imaging/*.h"
)

file(GLOB AWS_MEDICAL-IMAGING_MODEL_HEADERS
    "include/aws/medical-imaging/model/*.h"
)

file(GLOB AWS_MEDICAL-IMAGING_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_MEDICAL-IMAGING_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB MEDICAL-IMAGING_UNIFIED_HEADERS
    ${AWS_MEDICAL-IMAGING_HEADERS}
    ${AWS_MEDICAL-IMAGING_MODEL_HEADERS}
)

file(GLOB MEDICAL-IMAGING_UNITY_SRC
    ${AWS_MEDICAL-IMAGING_SOURCE}
    ${AWS_MEDICAL-IMAGING_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("MEDICAL-IMAGING" MEDICAL-IMAGING_UNITY_SRC)
endif()

file(GLOB MEDICAL-IMAGING_SRC
    ${MEDICAL-IMAGING_UNIFIED_HEADERS}
    ${MEDICAL-IMAGING_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\medical-imaging" FILES ${AWS_MEDICAL-IMAGING_HEADERS})
        source_group("Header Files\\aws\\medical-imaging\\model" FILES ${AWS_MEDICAL-IMAGING_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_MEDICAL-IMAGING_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_MEDICAL-IMAGING_MODEL_SOURCE})
    endif(MSVC)
endif()

set(MEDICAL-IMAGING_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${MEDICAL-IMAGING_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_MEDICALIMAGING_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_MEDICAL-IMAGING_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/medical-imaging)
install (FILES ${AWS_MEDICAL-IMAGING_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/medical-imaging/model)

do_packaging()
