=== generated/src/aws-cpp-sdk-rtbfabric/CMakeLists.txt ===
add_project(aws-cpp-sdk-rtbfabric "C++ SDK for the AWS rtbfabric service" aws-cpp-sdk-core)

file(GLOB AWS_RTBFABRIC_HEADERS
    "include/aws/rtbfabric/*.h"
)

file(GLOB AWS_RTBFABRIC_MODEL_HEADERS
    "include/aws/rtbfabric/model/*.h"
)

file(GLOB AWS_RTBFABRIC_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_RTBFABRIC_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB RTBFABRIC_UNIFIED_HEADERS
    ${AWS_RTBFABRIC_HEADERS}
    ${AWS_RTBFABRIC_MODEL_HEADERS}
)

file(GLOB RTBFABRIC_UNITY_SRC
    ${AWS_RTBFABRIC_SOURCE}
    ${AWS_RTBFABRIC_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("RTBFABRIC" RTBFABRIC_UNITY_SRC)
endif()

file(GLOB RTBFABRIC_SRC
    ${RTBFABRIC_UNIFIED_HEADERS}
    ${RTBFABRIC_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\rtbfabric" FILES ${AWS_RTBFABRIC_HEADERS})
        source_group("Header Files\\aws\\rtbfabric\\model" FILES ${AWS_RTBFABRIC_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_RTBFABRIC_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_RTBFABRIC_MODEL_SOURCE})
    endif(MSVC)
endif()

set(RTBFABRIC_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${RTBFABRIC_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_RTBFABRIC_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_RTBFABRIC_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/rtbfabric)
install (FILES ${AWS_RTBFABRIC_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/rtbfabric/model)

do_packaging()
