=== debian/changelog ===
aws-sdk-cpp (0.0+p24.04+vunstable+git20260105.1320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 13:26:05 +0000
