## aws-sdk-cpp 0.0+p24.04+vunstable+git20260111.0153

=== generated/src/aws-cpp-sdk-sagemaker-runtime-http2/CMakeLists.txt ===
add_project(aws-cpp-sdk-sagemaker-runtime-http2 "C++ SDK for the AWS sagemaker-runtime-http2 service" aws-cpp-sdk-core)

file(GLOB AWS_SAGEMAKER-RUNTIME-HTTP2_HEADERS
    "include/aws/sagemaker-runtime-http2/*.h"
)

file(GLOB AWS_SAGEMAKER-RUNTIME-HTTP2_MODEL_HEADERS
    "include/aws/sagemaker-runtime-http2/model/*.h"
)

file(GLOB AWS_SAGEMAKER-RUNTIME-HTTP2_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_SAGEMAKER-RUNTIME-HTTP2_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB SAGEMAKER-RUNTIME-HTTP2_UNIFIED_HEADERS
    ${AWS_SAGEMAKER-RUNTIME-HTTP2_HEADERS}
    ${AWS_SAGEMAKER-RUNTIME-HTTP2_MODEL_HEADERS}
)

file(GLOB SAGEMAKER-RUNTIME-HTTP2_UNITY_SRC
    ${AWS_SAGEMAKER-RUNTIME-HTTP2_SOURCE}
    ${AWS_SAGEMAKER-RUNTIME-HTTP2_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("SAGEMAKER-RUNTIME-HTTP2" SAGEMAKER-RUNTIME-HTTP2_UNITY_SRC)
endif()

file(GLOB SAGEMAKER-RUNTIME-HTTP2_SRC
    ${SAGEMAKER-RUNTIME-HTTP2_UNIFIED_HEADERS}
    ${SAGEMAKER-RUNTIME-HTTP2_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\sagemaker-runtime-http2" FILES ${AWS_SAGEMAKER-RUNTIME-HTTP2_HEADERS})
        source_group("Header Files\\aws\\sagemaker-runtime-http2\\model" FILES ${AWS_SAGEMAKER-RUNTIME-HTTP2_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_SAGEMAKER-RUNTIME-HTTP2_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_SAGEMAKER-RUNTIME-HTTP2_MODEL_SOURCE})
    endif(MSVC)
endif()

set(SAGEMAKER-RUNTIME-HTTP2_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${SAGEMAKER-RUNTIME-HTTP2_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_SAGEMAKERRUNTIMEHTTP2_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_SAGEMAKER-RUNTIME-HTTP2_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/sagemaker-runtime-http2)
install (FILES ${AWS_SAGEMAKER-RUNTIME-HTTP2_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/sagemaker-runtime-http2/model)

do_packaging()
