=== debian/changelog ===
aws-sdk-cpp (0.0+p24.04+vunstable+git20260111.0153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 01:56:26 +0000
