=== debian/control ===
Source: aws-sdk-cpp
Section: kde
Priority: optional
Build-Depends: cmake,
               curl,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libcurl4-openssl-dev,
               libpulse-dev,
               libssl-dev,
               uuid-dev,
               zlib1g-dev
Standards-Version: 4.5.0
Homepage: https://github.com/aws/aws-sdk-cpp
Vcs-Git: https://invent.kde.org/neon/neon-packaging/aws-sdk-cpp.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/aws-sdk-cpp
Maintainer: Neon CI <neon@kde.org>

Package: aws-sdk-cpp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: AWS SDK for C++
 The AWS SDK for C++ provides a modern C++ (version C++ 11 or later)
 interface for Amazon Web Services (AWS). It is meant to be performant
 and fully functioning with low- and high-level SDKs, while minimizing
 dependencies and providing platform portability (Windows, OSX, Linux,
 and mobile).
