=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf5

override_dh_auto_configure:
	./prefetch_crt_dependency.sh
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DCMAKE_PREFIX_PATH=/usr -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_ONLY="s3"
